#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <errno.h>

void InitA(int T);
int GameA(int Q, int X);

void InitB(int T);
int GameB(int P, int X);
int AnswerB(int P);

int main(int argc, char **argv) {
  FILE *in, *out;
  int T, N, result, i, X[100], Y, Z, P, Q, outcome;
  char C[100];

  if(argc == 1) {
    in = stdin;
    out = stdout;
  } else if(argc == 3) {
    in = fopen(argv[1], "r");
    if(!in) {
      fprintf(stderr,
          "add grader: error opening input file %s: %s\n",
          argv[1], strerror(errno));
    }

    out = fopen(argv[2], "w");
    if(!out) {
      fprintf(stderr,
          "add grader: error opening output file %s: %s\n",
          argv[2], strerror(errno));
    }
  } else {
    fprintf(stderr, "usage: %s [<input> <output>]\n", argv[0]);
    exit(1);
  }

  result = fscanf(in, "%d", &T);
  if(result < 1) {
    fprintf(stderr, "add grader: error reading T\n");
    exit(1);
  }

  result = fscanf(in, "%d", &N);
  if(result < 1) {
    fprintf(stderr, "add grader: error reading N\n");
    exit(1);
  }

  for(i = 0; i < N; i++) {
    result = fscanf(in, " %c", &C[i]);
    if(result < 1) {
      fprintf(stderr, "add grader: error reading C[%d]\n", i + 1);
      exit(1);
    }

    result = fscanf(in, "%d", &X[i]);
    if(result < 1) {
      fprintf(stderr, "add grader: error reading X[%d]\n", i + 1);
      exit(1);
    }
  }

  fclose(in);

  Z = 0;
  P = 0;
  Q = 0;

  InitA(T);
  InitB(T);

  for(i = 0; i < N; i++) {
    if(C[i] == 'A') {
      P = GameA(Q, X[i]);
      if(P < 0 || P >= 1000000000) {
        outcome = 1;
        goto fin;
      }
      if(X[i] % 2 == 0) {
        Z += X[i];
      }
    } else {
      Q = GameB(P, X[i]);
      if(Q < 0 || Q >= 1000000000) {
        outcome = 2;
        goto fin;
      }
      if(X[i] % 2 == 1) {
        Z += X[i];
      }
    }
  }

  Y = AnswerB(P);
  if(Y == Z) {
    outcome = 0;
  } else {
    outcome = 3;
  }

fin:

  if(outcome == 0) {
    printf("Accepted\n");
  } else if(outcome == 3) {
    printf("Wrong Answer [%d] : Y = %d\n", outcome, Y);
  } else {
    printf("Wrong Answer [%d]\n", outcome);
  }

  return outcome;
}
